import request from '@/router/axios';


export const getOrgTree = () => {
    return request({
        url: '/api/galaxy-business/serviceperson/org/dict',
        method: 'get',

    })
}

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-business/serviceperson/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}

export const remove = (ids) => {
    return request({
        url: '/api/galaxy-business/serviceperson/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-business/serviceperson/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-business/serviceperson/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-business/serviceperson/detail',
        method: 'get',
        params: {
            id
        }
    })
}

export const getList = () => {
    return request({
        url: '/api/galaxy-business/serviceperson/list',
        method: 'get',
    })
}


